gr::ieee802_15_4::preamble_sfd_prefixer_ii Class Reference

<+description of block+> More...

`#include <preamble_sfd_prefixer_ii.h>`

Inheritance diagram for gr::ieee802_15_4::preamble_sfd_prefixer_ii:
[legend]

## Public Types

typedef boost::shared_ptr< preamble_sfd_prefixer_ii > | sptr

## Static Public Member Functions

static sptr | make (std::vector< int > preamble, std::vector< int > sfd, int nsym_frame)
| Return a shared_ptr to a new instance of ieee802_15_4::preamble_sfd_prefixer_ii. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<preamble_sfd_prefixer_ii> gr::ieee802_15_4::preamble_sfd_prefixer_ii::sptr

## Member Function Documentation

## make()

static sptr gr::ieee802_15_4::preamble_sfd_prefixer_ii::make | ( | std::vector< int > | preamble,
|  | std::vector< int > | sfd,
|  | int | nsym_frame
| ) |  |

static

Return a shared_ptr to a new instance of ieee802_15_4::preamble_sfd_prefixer_ii.

To avoid accidental use of raw pointers, ieee802_15_4::preamble_sfd_prefixer_ii's constructor is in a private implementation class. ieee802_15_4::preamble_sfd_prefixer_ii::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- preamble_sfd_prefixer_ii.h